Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_ConsumerEC_Control Class Reference

EventChannelControl. More...

`#include <ECG_ConsumerEC_Control.h>`

Inheritance diagram for TAO_ECG_ConsumerEC_Control:

[legend]
List of all members.

## Public Methods
| TAO_ECG_ConsumerEC_Control (void)
| Constructor.
virtual | ~TAO_ECG_ConsumerEC_Control (void)
| Destructor.
virtual int | activate (void)
virtual int | shutdown (void)
virtual void | event_channel_not_exist (TAO_EC_Gateway_IIOP *gateway ACE_ENV_ARG_DECL_NOT_USED)
virtual void | system_exception (TAO_EC_Gateway_IIOP *gateway, CORBA::SystemException &ACE_ENV_ARG_DECL_NOT_USED)

## Detailed Description

EventChannelControl.

Defines the interface for the consumer event channel control strategy. This strategy handles misbehaving or failing event channels that are consumer of a gateway.

## Constructor & Destructor Documentation

TAO_ECG_ConsumerEC_Control::TAO_ECG_ConsumerEC_Control | ( | void |  | ) |

| Constructor.

TAO_ECG_ConsumerEC_Control::~TAO_ECG_ConsumerEC_Control | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_ECG_ConsumerEC_Control::activate | ( | void |  | ) | `[virtual]`

| Activate any internal threads or timers used to poll the state of the event channel. Reimplemented in TAO_ECG_Reactive_ConsumerEC_Control, and TAO_ECG_Reconnect_ConsumerEC_Control.

virtual void TAO_ECG_ConsumerEC_Control::event_channel_not_exist | ( | TAO_EC_Gateway_IIOP *gateway | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| When pushing an event to the event channel a CORBA::OBJECT_NOT_EXIST exception was raised. The only interpretation is that the object has been destroyed. The strategy has to (at the very least), reclaim all the resources attached to that object. Reimplemented in TAO_ECG_Reactive_ConsumerEC_Control, and TAO_ECG_Reconnect_ConsumerEC_Control.

int TAO_ECG_ConsumerEC_Control::shutdown | ( | void |  | ) | `[virtual]`

| Shutdown any internal threads or timers used to poll the state of the event channel. Reimplemented in TAO_ECG_Reactive_ConsumerEC_Control, and TAO_ECG_Reconnect_ConsumerEC_Control.

void TAO_ECG_ConsumerEC_Control::system_exception | ( | TAO_EC_Gateway_IIOP * | gateway,
|  | CORBA::SystemException & | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Some system exception was raised while trying to contact the event channel Reimplemented in TAO_ECG_Reactive_ConsumerEC_Control, and TAO_ECG_Reconnect_ConsumerEC_Control.

The documentation for this class was generated from the following files:

- ECG_ConsumerEC_Control.h
- ECG_ConsumerEC_Control.cpp